package com.xjrsoft.common.enums;

/**
 * @author dzx
 * @date 2023/11/30
 * 学生异动类型
 */
public enum SchoolChangeType {

    /**
     * 转专业(班级)
     * */
    ScClass("sc_class", "转专业(班级)"),

    /**
     * 休学
     * */
    ScOutSchool("sc_out_school", "休学"),

    /**
     * 退学
     * */
    ScOut("sc_out", "退学"),

    /**
     * 复学
     * */
    ScRecoverSchool("sc_recover_school", "复学");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    SchoolChangeType(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
